> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/edit-page-content/remove.md).

# Removing images from PDF page in Xamarin

Learn how to remove all images from a document page using a PDF Editor with this full code sample. Strip images and change text color to blue programmatically. The Apryse Xamarin SDK streamlines secur

To remove all images from a document page.

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
PDFDoc doc = new PDFDoc(filename)
Page page = doc.GetPage(1);

ElementWriter writer = new ElementWriter();
ElementReader reader = new ElementReader();
reader.Begin(page);
writer.Begin(page, ElementWriter.WriteMode.e_replacement, false);

Element element;
while ((element = reader.Next()) != null) // Read page contents
{
    switch (element.GetType())
    {
        case Element.Type.e_image:
        case Element.Type.e_inline_image:
            // remove all images by skipping them
            continue;
        default:
            writer.WriteElement(element);
            break;
    }
}

writer.End();
reader.End();
```

{% endcode %}
{% endtab %}
{% endtabs %}

[PDF Editor (Programmatic)](/xamarin/get-started/samples.md#elementedit) Full code sample which strips all images from the page and changes text color to blue.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/edit-page-content/remove.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
